View Issue Details

IDProjectCategoryView StatusLast Update
0001368OpenMPTFeature Requestpublic2021-04-25 16:06
Reportermos6502 Assigned ToSaga Musix  
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Platformx86 / x64OSWineOS Version(version plz)
Product VersionOpenMPT 1.29.03.00 / libopenmpt 0.5.2 (upgrade first) 
Target VersionOpenMPT 1.29.10.00 / libopenmpt 0.5.9 (upgrade first)Fixed in VersionOpenMPT 1.29.10.00 / libopenmpt 0.5.9 (upgrade first) 
Summary0001368: Batch process Resampling option
Description

(version is x86, I run in Wine on OSX) Hello! Would you please consider adding a dropdown option (or by holding down shift?) to Resample all samples? Similar to exporting or normalizing all samples. I am attempting to convert samples (and some modules) to the much more strict requirements used by Polyend's new hardware Tracker and it's a lot of clicking... I have potentially hundreds of modules to convert and I doubt I'm the only person who would find this handy. An option to set an arbitrary bitrate when exporting samples would be great too but there are external tools for that, I don't want to push it ;) Either way, thank you for keeping MPT alive, and thanks for any consideration of this request.

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Activities

Saga Musix

Saga Musix

2021-04-25 16:04

administrator   ~0004724

Last edited: 2021-04-25 16:06

This is now possible as of r14670, soon downloadable from https://builds.openmpt.org/builds/ (in about an hour or two). r14671 also backports this to OpenMPT 1.29.

It hasn't been tested much, so please let me know if something doesn't work the way you thought it would!

Issue History

Date Modified Username Field Change
2020-09-26 06:47 mos6502 New Issue
2020-10-04 16:56 Saga Musix Assigned To => Saga Musix
2020-10-04 16:56 Saga Musix Status new => assigned
2021-04-25 16:04 Saga Musix Note Added: 0004724
2021-04-25 16:04 Saga Musix Status assigned => resolved
2021-04-25 16:04 Saga Musix Resolution open => fixed
2021-04-25 16:04 Saga Musix Fixed in Version => OpenMPT 1.30 / libopenmpt 0.6 (goals)
2021-04-25 16:04 Saga Musix Target Version => OpenMPT 1.30 / libopenmpt 0.6 (goals)
2021-04-25 16:06 Saga Musix Fixed in Version OpenMPT 1.30 / libopenmpt 0.6 (goals) => OpenMPT 1.29.10.00 / libopenmpt 0.5.9 (upgrade first)
2021-04-25 16:06 Saga Musix Target Version OpenMPT 1.30 / libopenmpt 0.6 (goals) => OpenMPT 1.29.10.00 / libopenmpt 0.5.9 (upgrade first)
2021-04-25 16:06 Saga Musix Note Edited: 0004724